Bug 976321 - Upgrade eXo JCR to 1.15.4.GA
Upgrade eXo JCR to 1.15.4.GA
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal, Portal Packaging (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER03
: 6.1.0
Assigned To: Boleslaw Dawidowicz
vramik
:
Depends On:
Blocks: 976332
  Show dependency treegraph
 
Reported: 2013-06-20 07:20 EDT by Martin Weiler
Modified: 2013-11-04 19:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Component Upgrade
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
EXO WCM JIRA JCR-2125 None None None Never

  None (edit)
Description Martin Weiler 2013-06-20 07:20:28 EDT
Description of problem:
Moving a big tree of nodes can take a significant time to complete on eXo JCR 1.15.3 and earlier versions. Version 1.15.4.GA contains the fixes for https://jira.exoplatform.org/browse/JCR-2125, which result in performance improvements for move and rename operations.
Comment 1 Martin Weiler 2013-06-20 07:52:58 EDT
There are two new configuration parameters which control the behavior of events triggering at move and rename operations, as described in JIRA:
https://jira.exoplatform.org/browse/JCR-2125?focusedCommentId=248811&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-248811

The default setting is optimized, so there is no need to add any of the two to the base JCR configuration in JPP 6.
Comment 3 vramik 2013-07-08 09:09:56 EDT
Target milestone is ER03 so I'm changing status to modified
Comment 4 vramik 2013-08-14 08:18:32 EDT
Verified in ER03. There is eXo JCR 1.15.4-GA-redhat-1 in ER03.

Note You need to log in before you can comment on or make changes to this bug.